package com.dbnt.faisp.fpiMgt.affair.mapper;

import com.dbnt.faisp.fpiMgt.affair.model.AffairBoard;
import com.dbnt.faisp.fpiMgt.affair.model.TypeStatistics;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AffairMapper {

  List<AffairBoard> selectAffairBoardList(AffairBoard affair);

  Integer selectAffairBoardCnt(AffairBoard affair);

  String selectHashTags(Integer affairKey);

  List<TypeStatistics> selectType1List(TypeStatistics typeStatistics);
  
  List<TypeStatistics> selectType2List(TypeStatistics typeStatistics);
  
  List<TypeStatistics> selectType3List(TypeStatistics typeStatistics);
  
  List<TypeStatistics> selectType4List(TypeStatistics typeStatistics);

  List<TypeStatistics> selectStatusTotal(TypeStatistics typeStatistics);

  List<TypeStatistics> selecType1ListCnt(TypeStatistics typeStatistics);
 
  List<TypeStatistics> selecType2ListCnt(TypeStatistics typeStatistics);
  
  List<TypeStatistics> selecType3ListCnt(TypeStatistics typeStatistics);
 
  List<TypeStatistics> selecType4ListCnt(TypeStatistics typeStatistics);
}
